Get Current Droplet For App

Get Current Droplet For App
Get current droplet

Get the current droplet for an app.

Request
URI
GET
https://api.example.local/v3/apps/{guid}/droplets/current
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved droplet

Returns Droplet of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "state": "string",
    "error": "string",
    "lifecycle": {
        "type": "string",
        "data": {
            "buildpacks": [
                "string"
            ],
            "stack": "string",
            "credentials": {
                "credentials": {
                    "username": "string",
                    "password": "string",
                    "token": "string"
                }
            }
        }
    },
    "execution_metadata": "string",
    "process_types": {},
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "package": {
            "href": "string",
            "method": "string"
        },
        "app": {
            "href": "string",
            "method": "string"
        },
        "assign_current_droplet": {
            "href": "string",
            "method": "string"
        },
        "download": {
            "href": "string",
            "method": "string"
        },
        "upload": {
            "href": "string",
            "method": "string"
        }
    },
    "checksum": {
        "type": "string",
        "value": "string"
    },
    "buildpacks": [
        {
            "name": "string",
            "detect_output": "string",
            "version": "string",
            "buildpack_name": "string"
        }
    ],
    "stack": "string",
    "image": "string"
}

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/apps/{guid}/droplets/current